var express = require('express')
  , routes = require('./routes');

// Express 2.x の場合。package.json は "express": "2.5.8" とすること
var app = module.exports = express.createServer();

app.configure(function(){
  // レイアウトを禁止
  app.set("view options", {layout: false});
  app.use(express.static(__dirname + '/public'));
  // カスタムhtml テンプレートを作る。package.json は "express": "2.5.8" とすること
  app.register('.html', {
    compile: function(str, options){
      return function(locals){
        return str;
      };
    }
  });
});

// ルート
app.get('/', function(req, res){
  res.render("index.html");
});

// for Express 2.x 
app.listen(process.env.PORT || 3000);
console.log("Express サーバは、ポート %d 、%s モードで待ち受け中", app.address().port, app.settings.env);

